/**
 * apeman react package for checkbox component.
 * @constructor ApCheckbox
 */

"use strict";

var React = require('react'),
    types = React.PropTypes;

/** @lends ApCheckbox */
var ApCheckbox = React.createClass({


    //--------------------
    // Specs
    //--------------------

    propTypes: {
        id: types.string.isRequired,
        name: types.string.isRequired,
        value: types.string.isRequired,
        title: types.string,
        checked: types.bool,
        onChange: types.func
    },

    getInitialState: function () {
        return {};
    },

    getDefaultProps: function () {
        return {
            checked: false
        }
    },

    render:function() {
        var s = this;
        var props = s.props;
        return (
            <label className="ap-checkbox-wrap">
                <input type="checkbox" className="ap-checkbox" {...props} />
                <span className="ap-checkbox-title">{props.title}</span>
            </label>
        )
    }

});

module.exports = ApCheckbox;

